Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface NotificationBroadcaster

All Known Subinterfaces:
  ModelMBean, ModelMBeanNotificationBroadcaster, NotificationEmitter

All Known Implementing Classes:
  CounterMonitor, GaugeMonitor, JMXConnectorServer, MBeanServerDelegate, Monitor, NotificationBroadcasterSupport, RelationService, RequiredModelMBean, RMIConnectorServer, StringMonitor, Timer

    public interface NotificationBroadcaster

Interface implemented by an MBean that emits Notifications. It allows a listener to be registered with the MBean as a notification listener.

New code should use the `NotificationEmitter` interface instead.

Since:
  1.5

Method Summary
`void` | `addNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback)` Adds a listener to this MBean.
`MBeanNotificationInfo[]` | `getNotificationInfo()` Returns an array indicating, for each notification this MBean may send, the name of the Java class of the notification and the notification type.
`void` | `removeNotificationListener(NotificationListener listener)` Removes a listener from this MBean.

Method Detail

### addNotificationListener

    void addNotificationListener(NotificationListener listener,
                                 NotificationFilter filter,
                                 Object handback)
                                 throws IllegalArgumentException

  Adds a listener to this MBean.

  Parameters:
    `listener` - The listener object which will handle the notifications emitted by the broadcaster.
    `filter` - The filter object. If filter is null, no filtering will be performed before handling notifications.
    `handback` - An opaque object to be sent back to the listener when a notification is emitted. This object cannot be used by the Notification broadcaster object. It should be resent unchanged with the notification to the listener.
  Throws:
    `IllegalArgumentException` - Listener parameter is null.
  See Also:
    `removeNotificationListener(javax.management.NotificationListener)`

### removeNotificationListener

    void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Removes a listener from this MBean. If the listener has been registered with different handback objects or notification filters, all entries corresponding to the listener will be removed.

  Parameters:
    `listener` - A listener that was previously added to this MBean.
  Throws:
    `ListenerNotFoundException` - The listener is not registered with the MBean.
  See Also:
    `addNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object)`, `NotificationEmitter.removeNotificationListener(javax.management.NotificationListener, javax.management.NotificationFilter, java.lang.Object)`

### getNotificationInfo

    MBeanNotificationInfo[] getNotificationInfo()

  Returns an array indicating, for each notification this MBean may send, the name of the Java class of the notification and the notification type.

  It is not illegal for the MBean to send notifications not described in this array. However, some clients of the MBean server may depend on the array being complete for their correct functioning.

  Returns:
    the array of possible notifications.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.